bug-vc-dwim
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Bug-vc-dwim] [PATCH 1/2] build: update gnulib submodule to latest


From: Jim Meyering
Subject: [Bug-vc-dwim] [PATCH 1/2] build: update gnulib submodule to latest
Date: Sun, 18 Dec 2011 16:44:41 +0100

FYI,

>From d45b9afb31cbe0a0e32c071a8e88c7bde0188e1d Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 18 Dec 2011 16:36:50 +0100
Subject: [PATCH 1/2] build: update gnulib submodule to latest

---
 gnulib |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/gnulib b/gnulib
index 1e0b92c..262ac66 160000
--- a/gnulib
+++ b/gnulib
@@ -1 +1 @@
-Subproject commit 1e0b92c990dfeb136cda606e2914e2d87b00bd74
+Subproject commit 262ac66688545fb2b0af9400d675839d1d437ddb
--
1.7.8.250.g900a1


>From 81adf0e7c046edc8d73873d0f884c17119d45e5d Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 18 Dec 2011 16:41:16 +0100
Subject: [PATCH 2/2] tests: use "compare exp out", not "compare out exp"

* tests/add-empty: Reverse arguments.
* tests/cl-but-no-diff: Likewise.
* tests/cl-other-user: Likewise.
* tests/git-mv: Likewise.
* tests/leading-comment: Likewise.
* tests/no-star: Likewise.
* tests/no-vc: Likewise.
* tests/symlinked-changelog: Likewise.
* tests/two-line-attr: Likewise.
* tests/two-vc: Likewise.
---
 tests/add-empty           |    2 +-
 tests/cl-but-no-diff      |    2 +-
 tests/cl-other-user       |    2 +-
 tests/git-mv              |    4 ++--
 tests/leading-comment     |    2 +-
 tests/no-star             |    2 +-
 tests/no-vc               |    2 +-
 tests/symlinked-changelog |    2 +-
 tests/two-line-attr       |    2 +-
 tests/two-vc              |    2 +-
 10 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/tests/add-empty b/tests/add-empty
index c4cb600..ece7073 100755
--- a/tests/add-empty
+++ b/tests/add-empty
@@ -42,6 +42,6 @@ set -e

 vc-dwim ChangeLog > out

-compare out exp
+compare exp out

 Exit 0
diff --git a/tests/cl-but-no-diff b/tests/cl-but-no-diff
index f99026e..923b7c2 100755
--- a/tests/cl-but-no-diff
+++ b/tests/cl-but-no-diff
@@ -34,6 +34,6 @@ vc-dwim: not-mod is listed in the ChangeLog entry, but not in 
diffs.
 Did you forget to add it?
 EOF

-compare out exp
+compare exp out

 Exit 0
diff --git a/tests/cl-other-user b/tests/cl-other-user
index 04570a8..66a7950 100755
--- a/tests/cl-other-user
+++ b/tests/cl-other-user
@@ -40,6 +40,6 @@ index e69de29..de03f25 100644
 +bow
 EOF

-compare out exp || fail=1
+compare exp out || fail=1

 Exit $fail
diff --git a/tests/git-mv b/tests/git-mv
index 37fcbc7..c0d70f2 100755
--- a/tests/git-mv
+++ b/tests/git-mv
@@ -49,9 +49,9 @@ set -e

 vc-dwim ChangeLog > out

-if compare out exp > /dev/null 2>&1 ; then
+if compare exp out > /dev/null 2>&1 ; then
   :
-elif compare out exp-old; then
+elif compare exp-old out; then
   :
 else
   false
diff --git a/tests/leading-comment b/tests/leading-comment
index 6ee288f..7cf6f67 100755
--- a/tests/leading-comment
+++ b/tests/leading-comment
@@ -36,6 +36,6 @@ index e69de29..de03f25 100644
 +bow
 EOF

-compare out exp || fail=1
+compare exp out || fail=1

 Exit $fail
diff --git a/tests/no-star b/tests/no-star
index e7f05e4..525d57a 100755
--- a/tests/no-star
+++ b/tests/no-star
@@ -35,6 +35,6 @@ index e69de29..de03f25 100644
 +bow
 EOF

-compare out exp || fail=1
+compare exp out || fail=1

 Exit $fail
diff --git a/tests/no-vc b/tests/no-vc
index 12698ac..aff6ae4 100755
--- a/tests/no-vc
+++ b/tests/no-vc
@@ -19,6 +19,6 @@ cat <<\EOF > exp || fail=1
 FIXME
 EOF

-compare out exp || fail=1
+compare exp out || fail=1

 Exit $fail
diff --git a/tests/symlinked-changelog b/tests/symlinked-changelog
index aab5f41..0da4cfc 100755
--- a/tests/symlinked-changelog
+++ b/tests/symlinked-changelog
@@ -44,7 +44,7 @@ cat <<\EOF > exp || fail=1

 EOF

-compare out exp || fail=1
+compare exp out || fail=1

 (cd m && vc-dwim --commit ChangeLog) > out || fail=1

diff --git a/tests/two-line-attr b/tests/two-line-attr
index 6f6dd8c..f49a32c 100755
--- a/tests/two-line-attr
+++ b/tests/two-line-attr
@@ -33,6 +33,6 @@ index e69de29..de03f25 100644
 +bow
 EOF

-compare out exp || fail=1
+compare exp out || fail=1

 Exit $fail
diff --git a/tests/two-vc b/tests/two-vc
index 88061dd..ddffa03 100755
--- a/tests/two-vc
+++ b/tests/two-vc
@@ -32,6 +32,6 @@ vc-dwim: ChangeLog files are managed by more than one 
version-control system:
   sub/ChangeLog: cvs
 EOF

-compare out exp || fail=1
+compare exp out || fail=1

 Exit $fail
--
1.7.8.250.g900a1



reply via email to

[Prev in Thread] Current Thread [Next in Thread]